Package gov.nasa.gsfc.sscweb.schema

# Class TraceRegions

java.lang.Object
gov.nasa.gsfc.sscweb.schema.TraceRegions

public class TraceRegions extends Object
Trace Map Regions. See http://sscweb.gsfc.nasa.gov/users_guide/ssc_reg_doc.html for a description. <p>Java class for TraceRegions complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="TraceRegions"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <sequence> <element name="Cusp" type="{http://sscweb.gsfc.nasa.gov/schema}HemisphereRegions"/> <element name="Cleft" type="{http://sscweb.gsfc.nasa.gov/schema}HemisphereRegions"/> <element name="AuroralOval" type="{http://sscweb.gsfc.nasa.gov/schema}HemisphereRegions"/> <element name="PolarCap" type="{http://sscweb.gsfc.nasa.gov/schema}HemisphereRegions"/> <element name="MidLatitude" type="{http://sscweb.gsfc.nasa.gov/schema}HemisphereRegions"/> <element name="LowLatitude" type="{http://www.w3.org/2001/XMLSchema}boolean"/> </sequence> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected HemisphereRegions`
  `auroralOval`
  Auroral Oval region.
  `protected HemisphereRegions`
  `cleft`
  Cleft region.
  `protected HemisphereRegions`
  `cusp`
  Cusp region.
  `protected boolean`
  `lowLatitude`
  Low Latitude region.
  `protected HemisphereRegions`
  `midLatitude`
  Mid Latitude region.
  `protected HemisphereRegions`
  `polarCap`
  Polar Cap region.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TraceRegions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HemisphereRegions`
  `getAuroralOval()`
  Auroral Oval region.
  `HemisphereRegions`
  `getCleft()`
  Cleft region.
  `HemisphereRegions`
  `getCusp()`
  Cusp region.
  `HemisphereRegions`
  `getMidLatitude()`
  Mid Latitude region.
  `HemisphereRegions`
  `getPolarCap()`
  Polar Cap region.
  `boolean`
  `isLowLatitude()`
  Low Latitude region.
  `void`
  `setAuroralOval(HemisphereRegions value)`
  Sets the value of the auroralOval property.
  `void`
  `setCleft(HemisphereRegions value)`
  Sets the value of the cleft property.
  `void`
  `setCusp(HemisphereRegions value)`
  Sets the value of the cusp property.
  `void`
  `setLowLatitude(boolean value)`
  Sets the value of the lowLatitude property.
  `void`
  `setMidLatitude(HemisphereRegions value)`
  Sets the value of the midLatitude property.
  `void`
  `setPolarCap(HemisphereRegions value)`
  Sets the value of the polarCap property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### cusp

    protected HemisphereRegions cusp
    Cusp region.

  - ### cleft

    protected HemisphereRegions cleft
    Cleft region.

  - ### auroralOval

    protected HemisphereRegions auroralOval
    Auroral Oval region.

  - ### polarCap

    protected HemisphereRegions polarCap
    Polar Cap region.

  - ### midLatitude

    protected HemisphereRegions midLatitude
    Mid Latitude region.

  - ### lowLatitude

    protected boolean lowLatitude
    Low Latitude region.

- ## Constructor Details

  - ### TraceRegions

    public TraceRegions()

- ## Method Details

  - ### getCusp

    public HemisphereRegions getCusp()
    Cusp region.
    Returns:
      possible object is `HemisphereRegions`

  - ### setCusp

    public void setCusp(HemisphereRegions value)
    Sets the value of the cusp property.
    Parameters:
      `value` - allowed object is `HemisphereRegions`
    See Also:
      - `getCusp()`

  - ### getCleft

    public HemisphereRegions getCleft()
    Cleft region.
    Returns:
      possible object is `HemisphereRegions`

  - ### setCleft

    public void setCleft(HemisphereRegions value)
    Sets the value of the cleft property.
    Parameters:
      `value` - allowed object is `HemisphereRegions`
    See Also:
      - `getCleft()`

  - ### getAuroralOval

    public HemisphereRegions getAuroralOval()
    Auroral Oval region.
    Returns:
      possible object is `HemisphereRegions`

  - ### setAuroralOval

    public void setAuroralOval(HemisphereRegions value)
    Sets the value of the auroralOval property.
    Parameters:
      `value` - allowed object is `HemisphereRegions`
    See Also:
      - `getAuroralOval()`

  - ### getPolarCap

    public HemisphereRegions getPolarCap()
    Polar Cap region.
    Returns:
      possible object is `HemisphereRegions`

  - ### setPolarCap

    public void setPolarCap(HemisphereRegions value)
    Sets the value of the polarCap property.
    Parameters:
      `value` - allowed object is `HemisphereRegions`
    See Also:
      - `getPolarCap()`

  - ### getMidLatitude

    public HemisphereRegions getMidLatitude()
    Mid Latitude region.
    Returns:
      possible object is `HemisphereRegions`

  - ### setMidLatitude

    public void setMidLatitude(HemisphereRegions value)
    Sets the value of the midLatitude property.
    Parameters:
      `value` - allowed object is `HemisphereRegions`
    See Also:
      - `getMidLatitude()`

  - ### isLowLatitude

    public boolean isLowLatitude()
    Low Latitude region.

  - ### setLowLatitude

    public void setLowLatitude(boolean value)
    Sets the value of the lowLatitude property.